/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __KVPNCCONFIG_H__
#define __KVPNCCONFIG_H__

#include <qobject.h>
#include <qptrlist.h>
#include <qstring.h>

#include "toolinfo.h"
#include "vpnaccountdata.h"

/**
This class holds global configuration data.
 
@author Christoph Thielecke
*/
class KVpncConfig : public QObject
{
	Q_OBJECT
public:
	KVpncConfig();

	~KVpncConfig();

public:
	QString pathToVpnc;
	QString pathToRacoon;
	QString pathToSetkey;
	QString pathToIptables;
	QString pathToOpenssl;
	QString pathToFreeswan;
	QString pathToPppd;
	QString pathToKill;
	QString pathToKillall;
	QString pathToOpenvpn;


	bool minimizeAfterConnect;
	bool showDebugConsole;
	bool writeLogFile;
	bool useDefaultPaths;
	bool useSilentQuit;
	bool holdGeneratedScripts;
	bool programsInPath;
	bool enableDebugPppd;
	bool enableDebugOpenvpn;
	bool useColorizedLogOutput;
	bool showInterfaceIPinTooltip;

	int VpncDebugLevel;
	int RacoonDebugLevel;
	int KvpncDebugLevel;
	int PppdDebugLevel;
	int OpenvpnDebugLevel;

	QPtrList<ToolInfo> *ToolList;
	QPtrList<VpnAccountData> *AccountList;

};

#endif
