/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H

#include "preferencesdialogbase.h"
#include <kdialogbase.h>
#include "profilewidget.h"

#include <qptrlist.h>
#include <qtextedit.h>
#include <qcolor.h>

#include "vpnaccountdata.h"

/**
@author Christoph Thielecke
*/
class PreferencesDialog : public KDialogBase {
		Q_OBJECT
	public:
		PreferencesDialog( QWidget *parent, const QString& caption,QApplication *app,QTextEdit *LogOutput, KVpncConfig *GlobalConfig,VpnAccountData *currentProfile);

	public slots:
		void okClicked();
		
	protected slots:   
    void useColorizedLogOutputToggled(bool);
		void programsInPathToggled(bool);
		void debugLogColorClicked();
    void infoLogColorClicked();
    void remoteLogColorClicked();
		void successLogColorClicked();
    void errorLogColorClicked();

	protected:
		QPtrList<VpnAccountData> *AccountList;
		QTextEdit *LogOutput;
		VpnAccountData *currentProfile;
		
		int KvpncDebugLevel;
		
	public:
		QColor InfoLogColor;
		QColor RemoteLogColor;
		QColor ErrorLogColor;
		QColor SuccessLogColor;
		QColor DebugLogColor;
		ProfileWidget *MyprofileWidget;
		QApplication *app;
		PreferencesDialogBase *main;
};

#endif
