/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "profilemanager.h"
#include <qwidget.h>
#include <klocale.h>

ProfileManager::ProfileManager( QWidget *parent, const QString& caption, QApplication *app,QTextEdit *LogOutput, KVpncConfig *GlobalConfig, VpnAccountData *currentProfile) : KDialogBase( parent, i18n("Profile manager"), true, caption, 
		KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, true )
{
	MyprofileWidget = new ProfileWidget(app, LogOutput,GlobalConfig, currentProfile,this );
	setMainWidget(MyprofileWidget);
	resize(minimumSize());


	this->AccountList = GlobalConfig->AccountList;
	this->LogOutput = LogOutput;
	this->currentProfile = currentProfile;
	this->KvpncDebugLevel = GlobalConfig->KvpncDebugLevel;
	this->app = app;
}

ProfileManager::~ProfileManager() {}


