/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "toolsinfodialog.h"
#include <klistview.h>
//#include <qlistviewitem.h>
#include <qpixmap.h>
#include <kglobal.h>
#include <qstring.h>
#include <kiconloader.h>
#include <iostream>
#include <klocale.h>

ToolsInfoDialog::ToolsInfoDialog(QPtrList<ToolInfo> *ToolList, QWidget *parent, const char *)
    :KDialogBase( parent, i18n("Tool information"), true, "",
		KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, true )
{
	main = new ToolsInfoWidgetBase(this);
	setMainWidget(main);
	main->setMinimumSize(main->sizeHint());

	QPixmap ok_icon = KGlobal::iconLoader()->loadIcon( "button_ok", KIcon::NoGroup, 16 );
	QPixmap wrong_icon = KGlobal::iconLoader()->loadIcon( "button_cancel", KIcon::NoGroup, 16 );
	ToolInfo *tool;
	main->InfoListView->setSorting(1);
  for ( tool = ToolList->first(); tool; tool = ToolList->next() ){
// 		std::cout << "tool: " << tool->Name << std::endl;
// 		std::cout << "Version: " << tool->Version << std::endl;
// 		std::cout << "Path: " << tool->PathToExec << std::endl << std::endl;
		QString state="";
		if (!tool->PathToExec.isEmpty())
			state=i18n("Found");
		else
			state=i18n("Not found");
		QListViewItem *item = new QListViewItem(main->InfoListView, state, tool->Name,tool->Version, tool->PathToExec);
		if (!tool->PathToExec.isEmpty())
			item->setPixmap(0,ok_icon);
		else
			item->setPixmap(0,wrong_icon);
		main->InfoListView->insertItem(item);
		
	}	
	
}

#include "toolsinfodialog.moc"
